import conditionObjectBase from '../condition-object-base.js'
import {
  selectUniversityLocations
} from '@/api/webApi/shiftLine'

// 院校投档线  地域
export default {
  ...conditionObjectBase,
  key: 'universityLocation',
  title: '地域',
  getList: function(param) {
    return new Promise((resolve, reject) => {
      selectUniversityLocations().then(res => resolve(res.rows))
        .catch(e => reject(e))
    })
  },
  getCode: function(item) {
    return item
  },
  getLabel: function(item) {
    return item
  }
}
